OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDataStd

# MDataStd_RealListRetrievalDriver Class Reference

`#include <MDataStd_RealListRetrievalDriver.hxx>`

Inheritance diagram for MDataStd_RealListRetrievalDriver:

[legend]

## Public Member Functions
Standard_EXPORT | MDataStd_RealListRetrievalDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type of source object, inheriting from Attribute from PDF. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from PDF. .
Standard_EXPORT void | Paste (const Handle(PDF_Attribute)&Source, const Handle(TDF_Attribute)&Target, const Handle(MDF_RRelocationTable)&RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MDataStd_RealListRetrievalDriver::MDataStd_RealListRetrievalDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const MDataStd_RealListRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDF_ARDriver.

Standard_EXPORT Handle_TDF_Attribute MDataStd_RealListRetrievalDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT void MDataStd_RealListRetrievalDriver::Paste | ( | const Handle(PDF_Attribute)& | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | const Handle(MDF_RRelocationTable)& | RelocTable
| ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Handle_Standard_Type MDataStd_RealListRetrievalDriver::SourceType | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

Standard_EXPORT Standard_Integer MDataStd_RealListRetrievalDriver::VersionNumber | ( |  | ) | const`[virtual]`

| Implements MDF_ARDriver.

The documentation for this class was generated from the following file:

- MDataStd_RealListRetrievalDriver.hxx